---
lang: en
title: 'API docs: socketio.socketiocontrollerfactory.getdecoratesubscribemethodsbyeventname'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/socketio
permalink: /doc/en/lb4/apidocs.socketio.socketiocontrollerfactory.getdecoratesubscribemethodsbyeventname.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/socketio](./socketio.md) &gt; [SocketIoControllerFactory](./socketio.socketiocontrollerfactory.md) &gt; [getDecorateSubscribeMethodsByEventName](./socketio.socketiocontrollerfactory.getdecoratesubscribemethodsbyeventname.md)

## SocketIoControllerFactory.getDecorateSubscribeMethodsByEventName() method

**Signature:**

```typescript
getDecorateSubscribeMethodsByEventName(): Map<string, SocketIoEventMatcherInfo>;
```
**Returns:**

Map&lt;string, SocketIoEventMatcherInfo&gt;


